cURL
curl --request GET \
--url https://api.mottostreaming.com/streaming/ingests/v2 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/streaming/ingests/v2"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/streaming/ingests/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ingests": [
{
"id": "<string>",
"project_id": "<string>",
"key": "<string>",
"passphrase": "<string>",
"connected": true,
"disabled": true,
"name": "<string>",
"description": "<string>",
"pull_url": "<string>",
"last_update_time": "2023-11-07T05:31:56Z"
}
],
"next_page_token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Ingests
List ingests
GET
/
streaming
/
ingests
/
v2
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter the result-set by properties using a subset of the Kibana Query Language. Only AND statements are supported.
E.g. not name:"" or connected:true.
On the name field, prefix and suffix matching is supported to simulate searching, e.g. name:*foo*
Specifies the result ordering for List requests. If this is not provided, the default order is by ID. Supported values are:
- "name asc|desc"
- "connected asc|desc"
⌘I

